/*
	File:		main.c

	Contains:	xxx put contents here xxx

	Version:	xxx put version here xxx

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				xxx put dri here xxx

		Other Contact:		xxx put other contact here xxx

		Technology:			xxx put technology here xxx

	Writers:

		(BWS)	Brent Schorsch

	Change History (most recent first):

	   <SP1>	  7/1/99	BWS		first checked in
*/

//		Includes

#include <Appearance.h>
#include <Dialogs.h>
#include <Fonts.h>
#include <Processes.h>
#include <Resources.h>
#include <Quickdraw.h>
#include <Windows.h>

#include "AppleEventHandler.h"
#include "EventHandler.h"
#include "MemoryHandler.h"
#include "MenuHandler.h"

//		Private Definitions
//		Private Types
//		Private Variables

static QDGlobals	qd;

//		Private Functions

void main(void);
static void ToolboxInit(void);

//		Public Variables

//		main

void
main(void)
{
	ToolboxInit();
	AppleEventsInit();

	RegisterAppearanceClient();
	
	MenuInit();
	EventInit();

	EventLoop();

	AppleEventsShutDown();

	UnregisterAppearanceClient();

	ExitToShell();
}

//		ToolboxInit

static void
ToolboxInit(void)
{
	MaxApplZone();

	InitGraf(&qd.thePort);
	InitFonts();
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs(nil);
	InitCursor();
}
